import { expect, expectAsync, tap } from '@pushrocks/tapbundle';
import * as smartvalidator from '../ts/index.js';

let testValidator: smartvalidator.SmartValidator;

tap.test('first test', async () => {
  testValidator = new smartvalidator.SmartValidator();
  expect(testValidator).toBeInstanceOf(smartvalidator.SmartValidator);
});

tap.test('should check for being a URL', async () => {
  expect(testValidator.isUrl('lossless.com')).toBeTrue();
})

tap.test('should check an IBAN', async () => {
  expect(testValidator.isIban('AT95 0100 0000 0555 4915')).toBeTrue();
});

tap.test('escape email', async () => {
  const escapedEmail = testValidator.escape('test@example.com');
  console.log(escapedEmail);
});

tap.start();
